 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: WechatTableData
  * Author:   Louis
  * Date:     2021/12/8 16:55
  */
 package com.fr.plugin.icgq.data;

 import com.fanruan.api.data.open.BaseTableData;
 import com.fr.base.TableData;
 import com.fr.general.data.DataModel;
 import com.fr.script.Calculator;
 import com.fr.stable.xml.XMLPrintWriter;
 import com.fr.stable.xml.XMLableReader;

 /**
  * <Function Description><br>
  * <UsersTableData>
  *
  * @author fr.open
  * @since 1.0.0
  */
 public class UsersTableData extends BaseTableData {
     private static final long serialVersionUID = -7456007025209900779L;

     @Override
     public DataModel createDataModel(Calculator calculator) {
         return createDataModel(calculator, TableData.RESULT_ALL);
     }

     @Override
     public DataModel createDataModel(Calculator calculator, int rowCount) {
         return new UsersTableDataModel(Calculator.processParameters(calculator, super.getParameters(calculator)));
     }

     @Override
     public void readXML(XMLableReader reader) {
         super.readXML(reader);
     }

     @Override
     public void writeXML(XMLPrintWriter writer) {
         super.writeXML(writer);
     }

     @Override
     public Object clone() throws CloneNotSupportedException {
         UsersTableData cloned = (UsersTableData) super.clone();
         return cloned;
     }

     @Override
     public boolean equals(Object obj) {
         return obj instanceof UsersTableData;
     }
 }