/*
 * Copyright (C), 2015-2019
 * FileName: RequestHandlerBridge
 * Author:   Louis
 * Date:     2019/8/17 22:20
 * Description: RequestHandlerBridge
 * History:
 * <author>          <time>          <version>          <desc>
 */
package com.fr.plugin.icgq.service;

import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.stable.fun.Authorize;

import static com.fr.plugin.icgq.LocaleFinder.PLUGIN_ID;

/**
 * 〈Function Description〉<br>
 * 〈RequestHandlerBridge〉
 *
 * @author fr.open
 * @since 1.0.0
 */
@Authorize(callSignKey = PLUGIN_ID)
public class RequestHandlerBridge extends AbstractHttpHandlerProvider {
    @Override
    public BaseHttpHandler[] registerHandlers() {
        return new BaseHttpHandler[]{
                new ReportDataHandler()
        };
    }
}