/*
 * Copyright (C), 2015-2019
 * FileName: URLAliasBridge
 * Author:   Louis
 * Date:     2019/8/17 22:21
 * Description: URLAliasBridge
 * History:
 * <author>          <time>          <version>          <desc>
 */
package com.fr.plugin.icgq.service;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;
import com.fr.stable.fun.Authorize;

import static com.fr.plugin.icgq.LocaleFinder.PLUGIN_ID;
import static com.fr.plugin.icgq.service.ReportDataHandler.IAM_USERS;

/**
 * 〈Function Description〉<br>
 * 〈URLAliasBridge〉
 *
 * @author fr.open
 * @since 1.0.0
 */
@Authorize(callSignKey = PLUGIN_ID)
public class URLAliasBridge extends AbstractURLAliasProvider {
    @Override
    public URLAlias[] registerAlias() {
        return new URLAlias[]{
                URLAliasFactory.createPluginAlias(IAM_USERS, IAM_USERS, true),
        };
    }
}